PG_AUTOCTL DROP FORMATION(1)

NAME
pg_autoctl drop formation - pg_autoctl drop formation

pg_autoctl drop formation - Drop a formation on the pg_auto_failover monitor

SYNOPSIS

This command drops an existing formation on the monitor:

            usage: pg_autoctl drop formation  [ --pgdata --formation ]

            --pgdata      path to data directory
            --monitor     pg_auto_failover Monitor Postgres URL
            --formation   name of the formation to drop

OPTIONS

    --pgdata
        Location of the Postgres node being managed locally. Defaults to the environment variable PGDATA. Use --monitor to connect to a monitor from anywhere, rather than the monitor URI used by a local Postgres node managed with pg_autoctl.

    --monitor
        Postgres URI used to connect to the monitor. Must use the autoctl_node username and target the pg_auto_failover database name. It is possible to show the Postgres URI from the monitor node using the command pg_autoctl show uri <#pg-autoctl-show-uri>.

    --formation
        Name of the formation to drop from the monitor.

ENVIRONMENT

PGDATA
        Postgres directory location. Can be used instead of the --pgdata option.

PG_AUTOCTL_MONITOR
        Postgres URI to connect to the monitor node, can be used instead of the --monitor option.

XDG_CONFIG_HOME
        The pg_autoctl command stores its configuration files in the standard place XDG_CONFIG_HOME. See the XDG Base Directory Specification <https://specifications.freedesktop.org/basedir-spec/basedir-spec-latest.html>.

XDG_DATA_HOME
        The pg_autoctl command stores its internal states files in the standard place XDG_DATA_HOME, which defaults to ~/.local/share. See the XDG Base Directory Specification <https://specifications.freedesktop.org/basedir-spec/basedir-spec-latest.html>.

Author
Microsoft

Copyright
Copyright (c) Microsoft Corporation. All rights reserved.